Bug 1411507 - [RFE] better traceback for Ansible Tower API errors
Summary: [RFE] better traceback for Ansible Tower API errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Brandon Dunne
QA Contact: Pavol Kotvan
URL:
Whiteboard: tower
Depends On: 1379079
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:08 UTC by Satoe Imaishi
Modified: 2017-02-27 19:19 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1379079
Environment:
Last Closed: 2017-02-27 19:19:18 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 21:15:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9aee1414552f8ed71f582ab482a4ace843bf13f1

commit 9aee1414552f8ed71f582ab482a4ace843bf13f1
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Dec 6 09:58:51 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 16:12:21 2017 -0500

    Merge pull request #12996 from bdunne/update_ansible_tower_client
    
    Ensure AnsibleTowerClient.logger is set to $log not a NullLogger
    (cherry picked from commit db4e219440e133672e1cac422fb6f4096098b886)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411506
    https://bugzilla.redhat.com/show_bug.cgi?id=1411507

 Gemfile                                                 | 2 +-
 app/models/manageiq/providers/ansible_tower/provider.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 8 errata-xmlrpc 2017-02-27 19:19:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.